@echo off
cd %1
set str=%1
set str=%str:*models=models%
set str=%str:~0,-1%

FOR %%M IN ("*.vtf") DO (CALL :create_vmt "%%M")
::pause
GOTO :eof

:create_vmt
>%~n1.vmt (
echo "VertexLitGeneric"
echo {
echo 	$basetexture            "models\mark2580\gtav\decor\penthouse_art_2\%~n1"
echo   	$bumpmap                "models\mark2580\gtav\shared\flat_normal_alt2"
echo     $phongexponenttexture   "models\mark2580\gtav\shared\green"	
echo 	$phong                  1
echo 	$phongfresnelranges     "[0.8 0.55 0.25]"
echo 	$phongexponent          50	
echo 	$phongalbedotint        1
echo 	$phongboost             1		
echo 	$rimlight               1
echo 	$rimlightexponent       1
echo 	$rimlightboost          1
echo }
)
EXIT /B